Webhooks
List deliveries
List a webhook’s deliveries.
GET
/
v1
/
webhooks
/
{webhookId}
/
deliveries
List deliveries
curl --request GET \
--url https://api.getmillwork.dev/v1/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/webhooks/{webhookId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"deliveries": [
{
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"event": "execution.completed",
"failure_reason": "<string>",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"response_status": 123,
"status": "pending",
"webhook_id": "<string>"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Path Parameters
Query Parameters
Available options:
pending, delivered, dead_lettered Response
Default Response
Show child attributes
Show child attributes
⌘I
List deliveries
curl --request GET \
--url https://api.getmillwork.dev/v1/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/webhooks/{webhookId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"deliveries": [
{
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"event": "execution.completed",
"failure_reason": "<string>",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"response_status": 123,
"status": "pending",
"webhook_id": "<string>"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}